Package org.apache.solr.client.solrj.cloud

## Interface SolrCloudManager

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `SolrCloseable`

All Known Implementing Classes:
  `DelegatingCloudManager`, `SolrClientCloudManager`

    public interface SolrCloudManager
    extends SolrCloseable

This interface abstracts the access to a SolrCloud cluster, including interactions with Zookeeper, Solr and generic HTTP calls.

This abstraction should be used when possible instead of directly referencing ZK, Solr and HTTP.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default ClusterState` `getClusterState()`
`ClusterStateProvider` `getClusterStateProvider()`
`DistribStateManager` `getDistribStateManager()`
`DistributedQueueFactory` `getDistributedQueueFactory()`
`NodeStateProvider` `getNodeStateProvider()`
`ObjectCache` `getObjectCache()`
`TimeSource` `getTimeSource()`
`byte[]` `httpRequest​(String url, SolrRequest.METHOD method, Map<String,​String> headers, String payload, int timeout, boolean followRedirects)`
`<T extends SolrResponse> T` `request​(SolrRequest<T> req)`

### Methods inherited from interface java.io.Closeable

`close`

### Methods inherited from interface org.apache.solr.common.SolrCloseable

`isClosed`

### Method Detail

#### getClusterStateProvider

    ClusterStateProvider getClusterStateProvider()

#### getClusterState

    default ClusterState getClusterState()
                                  throws IOException

Throws:
  `IOException`

#### getNodeStateProvider

    NodeStateProvider getNodeStateProvider()

#### getDistribStateManager

    DistribStateManager getDistribStateManager()

#### getDistributedQueueFactory

    DistributedQueueFactory getDistributedQueueFactory()

#### getObjectCache

    ObjectCache getObjectCache()

#### getTimeSource

    TimeSource getTimeSource()

#### request

    <T extends SolrResponse> T request​(SolrRequest<T> req)
                                throws IOException

Throws:
  `IOException`

#### httpRequest

    byte[] httpRequest​(String url,
                       SolrRequest.METHOD method,
                       Map<String,​String> headers,
                       String payload,
                       int timeout,
                       boolean followRedirects)
                throws IOException

Throws:
  `IOException`